Get a page of workflow documents

Returns a page of workflow documents.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Query parameters

limitintegerOptional>=0Defaults to 25
Number of results to return. Used for pagination.
skipintegerOptional>=0Defaults to 0
Number of results to skip. Used for pagination.
orderenumOptional

Sort direction, 1 for ascending and -1 for descending.

Allowed values:
sortenumOptionalDefaults to name
Field to sort by
Allowed values:
exclude-project-membersbooleanOptional
Flag which removes workflows from the results which are members of a project
includestringOptional

Inclusive projection operator formatted as a comma-delineated list. ‘_id’ will be included implicitly unless excluded with ‘exclude=_id’. May only be used in conjunction with ‘exclude’ when ‘exclude=_id’.

excludestringOptional

Exclusive projection operator formatted as a comma-delineated list. May only be used in conjunction with ‘include’ when ‘exclude=_id’.

expandstringOptional

Sets the fields to expand. Generally, these are fields like “metrics.user”, “metrics.owner”, “created_by”, etc

instringOptional
Search for fields exactly matching one of the given list options
not-instringOptional
Search for fields not exactly matching one of the given list options
equalsstringOptional

Returns results where the specified fields exactly match the given match string(s).

containsstringOptional

Returns results where the specified fields contain the given match string(s).

starts-withstringOptional

Returns results where the specified fields start with the given match string(s).

ends-withstringOptional

Returns results where the specified fields end in the given match string(s).

task-equalsstringOptional

Returns results where one or more tasks have fields that exactly match the given match string(s).

Response

Results for the given search parameters.
itemslist of objects
totalinteger
Total number of documents matching the given query parameters.
startinteger
Search index of first document in the items array.
endinteger
Search index of the last document in the items array.
countinteger
Length of the items array.
limitinteger
Number of results to return. Used for pagination.
nextstring or null
URI pointing to the next set of paginated results. Preserves previous search and projection parameters. Null if returning the last page of results.
previousstring or null
URI pointing to the previous set of paginated results. Preserves previous search and projection parameters. Null if returning the first page of results.

Errors

500
Internal Server Error